Cisco Switch 3500 with Router 2612 Encapsulation Issue

Unanswered Question

Hi Experts:

I am studying my CCNA Exame and got stuck one of my Lab whcih you the only ones I think can help me with ok the Issue is as follow:

Switch A 3500 port fa 0/0 need to connect to Router_A e 0/0 via Straight-Through Cabel where VLAN 1 ip address VLAN 1 (native) Switch ports should be fa 0/1 to 0/4 VLAN 10 fa 0/5 to 0/8 Vlan 20 fa 0/9 to 0/12

Also two hosts A, B should be connected via Switch A ip add Default Gateway (GW), Host B ip add GW


Now the question is what this the following error produced by Router spouse to mean and how can I configure encapsulation on this router. I have Trunk configure on Switch configure with encapsulation dot1q (802.1Q) and Router is not let me configure the encapsulation on sub-interface its give me clue that this router do support 802.1Q encapsulation but the way is mention in book is not applied on this Router then this Router must have its own way of configuring which I need your help.


Router_A(config)#int ethernet 0/0

Router_A(config-if)#interface e 0/0.1

Router_A(config-subif)#encapsulation dot1q 1


% Invalid input detected at '^' marker.

Router_A(config-subif)#ip address

% Configuring IP routing on a LAN subinterface is only allowed if that

subinterface is already configured as part of an IEEE 802.10, IEEE 802.1Q,

or ISL vLAN.

please view full show version and run config configuration on attach word file


I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Richard Burts Mon, 02/11/2008 - 08:49


I believe that the problem is that your 2612 router with its Ethernet (not FastEthernet) interface does not support trunking on that interface.

Originally Cisco did not support trunking on Ethernet interfaces. But in the 12.2T train of IOS Cisco extended support for trunking over Ethernet interfaces. I believe that if you upgrade the feature set of your IOS to at least the PLUS feature set that you would get support for trunking. I believe that the version of IOS you are running is ok but it appeaers to be the IP only feature set which does not have the support.



mmm its explain some thing and that's what I though in beginning and tried to download latest release from but it ask me to register which I did obtain basic membership then I tried again and latest software was still locked and ask me to upgrade my membership to the next level and when I have look at the requirements I do not fully qualify so person in my condition what source would you suggest to download latest version of IOS for 2612 any idea ?

Richard Burts Mon, 02/11/2008 - 10:49


There might be some options available depending on how you got the router. If you bought it from a dealer you might be able to work with the dealer to upgrade the feature set. Or you might be able to purchase IOS relicensing for Used Equipment. From the Cisco price list it looks like part number LLCP26= would relicense the IP PLUS feature set. The list price for this would be $700.



bmcginn Mon, 02/11/2008 - 13:16


When you've upgraded, you will also need the 'native' variable after the encapsulation. ie 'encapsulation dot1q 1 native'.




This Discussion